# DataExchange
TKSTEP
StepAP214

# StepAP214_AutoDesignSecurityClassificationAssignment Class Reference

`#include <StepAP214_AutoDesignSecurityClassificationAssignment.hxx>`

Inheritance diagram for StepAP214_AutoDesignSecurityClassificationAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AutoDesignSecurityClassificationAssignment ()
| Returns a AutoDesignSecurityClassificationAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_SecurityClassification)&aAssignedSecurityClassification)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_SecurityClassification)&aAssignedSecurityClassification, const Handle(StepBasic_HArray1OfApproval)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepBasic_HArray1OfApproval)&aItems)
Standard_EXPORT Handle_StepBasic_HArray1OfApproval | Items () const
Standard_EXPORT Handle_StepBasic_Approval | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_HArray1OfApproval | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AutoDesignSecurityClassificationAssignment::StepAP214_AutoDesignSecurityClassificationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AutoDesignSecurityClassificationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SecurityClassificationAssignment.

virtual Standard_EXPORT void StepAP214_AutoDesignSecurityClassificationAssignment::Init | ( | const Handle(StepBasic_SecurityClassification)& | aAssignedSecurityClassification,
|  | const Handle(StepBasic_HArray1OfApproval)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AutoDesignSecurityClassificationAssignment::Init | ( | const Handle(StepBasic_SecurityClassification)& | aAssignedSecurityClassification | ) | `[virtual]`

| Reimplemented from StepBasic_SecurityClassificationAssignment.

Standard_EXPORT Handle_StepBasic_HArray1OfApproval StepAP214_AutoDesignSecurityClassificationAssignment::Items | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Approval StepAP214_AutoDesignSecurityClassificationAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AutoDesignSecurityClassificationAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AutoDesignSecurityClassificationAssignment::SetItems | ( | const Handle(StepBasic_HArray1OfApproval)& | aItems | ) |

## Field Documentation

Handle_StepBasic_HArray1OfApproval StepAP214_AutoDesignSecurityClassificationAssignment::items`[private]`

The documentation for this class was generated from the following file:

- StepAP214_AutoDesignSecurityClassificationAssignment.hxx